/*
 * J2_UART7.c
 *
 *  Created on: 2024年5月18日
 *      Author: 34509
 */
#include "J2_UART7.h"




void J2_485_Init(void)
{
    rt_pin_mode(J2_DE, PIN_MODE_OUTPUT);
    /* 设置485状态为读 */
    rt_pin_write(J2_DE, read);

    rt_pin_mode(J2_PWR_Ctrl, PIN_MODE_OUTPUT);
    J2_PWR_Open();





}

/* 打开J2 485的电源 */
void J2_PWR_Open(void)
{
    rt_pin_write(J2_PWR_Ctrl, open);
}

/* 关闭J2 485的电源 */
void J2_PWR_Close(void)
{
    rt_pin_write(J2_PWR_Ctrl, close);
}

